satellite_based_positioning_state.h File Reference
`#include <iosfwd>`
Include dependency graph for satellite_based_positioning_state.h:

Go to the source code of this file.

## Namespaces

namespace | com
namespace | com::lomiri
namespace | com::lomiri::location

## Enumerations

enum class | com::lomiri::location::SatelliteBasedPositioningState { com::lomiri::location::on , com::lomiri::location::off }
| The SatelliteBasedPositioningState enum describes whether satellite assisted positioning is enabled or disabled. More...

## Functions

std::ostream & | com::lomiri::location::operator<< (std::ostream &, SatelliteBasedPositioningState)
| Pretty prints the given state to the given stream.
std::istream & | com::lomiri::location::operator>> (std::istream &, SatelliteBasedPositioningState &)
| Parses the state from the given stream.